import { EventHandler, EventName, Events } from '@eggjs/eventbus-decorator';
import { EggPrototype } from '@eggjs/tegg-metadata';
export declare class EventHandlerFactory {
    private handlerProtoMap;
    registerHandler(event: EventName, proto: EggPrototype): void;
    hasListeners(event: EventName): boolean;
    getHandlers(event: EventName): Promise<Array<EventHandler<keyof Events>>>;
}
